Package robocode

## Class MouseReleasedEvent

- java.lang.Object
- - robocode.Event
  - - robocode.MouseEvent
    - - robocode.MouseReleasedEvent

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Event>`

    public final class MouseReleasedEvent
    extends MouseEvent

A MouseReleasedEvent is sent to `onMouseReleased()` when the mouse is released inside the battle view.

Since:
  1.6.1
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  `MouseClickedEvent`, `MousePressedEvent`, `MouseEnteredEvent`, `MouseExitedEvent`, `MouseMovedEvent`, `MouseDraggedEvent`, `MouseWheelMovedEvent`, Serialized Form

### Constructor Summary

Constructors
`MouseReleasedEvent​(java.awt.event.MouseEvent source)` Called by the game to create a new MouseReleasedEvent.

### Method Summary

### Methods inherited from class robocode.MouseEvent

`getSourceEvent`

### Methods inherited from class robocode.Event

`compareTo, getPriority, getTime, setPriority, setTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MouseReleasedEvent

    public MouseReleasedEvent​(java.awt.event.MouseEvent source)

Called by the game to create a new MouseReleasedEvent.

Parameters:
  `source` - the source mouse event originating from the AWT.